package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class Banche.
 * @see sicura.entities.Banche
 * @author Hibernate Tools
 */
@Stateless
public class BancheHome {

	private static final Log log = LogFactory.getLog(BancheHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(Banche transientInstance) {
		log.debug("persisting Banche instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(Banche persistentInstance) {
		log.debug("removing Banche instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public Banche merge(Banche detachedInstance) {
		log.debug("merging Banche instance");
		try {
			Banche result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public Banche findById(BancheId id) {
		log.debug("getting Banche instance with id: " + id);
		try {
			Banche instance = entityManager.find(Banche.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
